Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1692425 - Turn on task cleanup ON by default
Summary: Turn on task cleanup ON by default
Keywords:
Status: NEW
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-25 15:22 UTC by Mike McCune
Modified: 2019-04-11 03:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Mike McCune 2019-03-25 15:22:41 UTC
We currently leave it up to the customer to enable the task cleanup cron job by hand if they choose to do so during the installation:

# satellite-installer --foreman-plugin-tasks-automatic-cleanup

without this flag, large customers regularly get very large amounts of tasks piling up over the course of a Satellite runtime. This causes:

 * performance issues: as the # of tasks grows in the database, task processing gradually gets slower and slower over time

 * disk consumption: gigabytes of data are generated with large numbers of tasks

 * failed upgrades: often customers will have old stale tasks that appear running but are really dead and cause the customer to have to file tickets, diagnose and determine how to remove these stale tasks, eg:

"""
We are currently testing the upgrade from 6.3.3 to 6.3.5 on our Lab Satellite. We have run the health check command below. Can you provide info as to how we stop the running tasks: 

# foreman-maintain upgrade check --target-version 6.3.z
Running Checks before upgrading to Satellite 6.3.z
--------------------------------------------------------------------------------
Check for paused tasks:                                               [FAIL]
There are currently 1 paused tasks in the system
...

# hammer task list --search 'state = running'
--------------|---------------------|---------|---------|-------------------
ID            | STARTED AT	    | STATE   | RESULT  | TASK ACTION	
--------------|---------------------|---------|---------|-------------------
0dd3a1dcd7a7c | 2019/03/22 10:45:56 | running | pending | Listen on candlepi
68677bb5b1e5c | 2019/03/22 10:45:56 | running | pending | Monitor Event Queu
0228bec74fd50 | 2018/11/12 08:27:03 | running | success | Scan cdn	
--------------|---------------------|---------|---------|-------------------
"""



For example, our internal Scale Lab long term Satellite setup had close to 1,000,000 tasks in the database after running for 30 days as the admin who installed it did not remember to enable this flag.

Task Management is one of our highest case volume areas in Satellite 6 and this would help alleviate some of the issues for long running Satellites.


Note You need to log in before you can comment on or make changes to this bug.